/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2008
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.configuration;

/**
 * Allows to deploy or undeploy all bundles for a particular service.
 * @author Francois Fornaciari
 */
public interface ServiceDeployer {

    /**
     * Try to deploy all bundles for a given service.
     * @param service The service name
     * @throws Exception If the service deployment fails
     */
    void deployService(final String service);

    /**
     * Try to undeploy all bundles for a given service.
     * @param service The service name
     * @throws Exception If the service undeployment fails
     */
    void undeployService(final String service);
}
